Ad InsertionApply SSAI Transcode Profile

Apply SSAI Transcode Profile

Custom Plan Push zones only. Creates/links the Combined Video Encoding Profile needed for the chosen SSAI transcoding profile. append keeps other linked Combined profiles (multiplies Video Encoding Minutes usage); replace unlinks the others.

curl -X POST "https://api.5centscdn.com/v2/zones/vod/push/42/adinsertion/transcodeprofile/apply" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY"
{
  "result": "success",
  "combinedId": 129017
}
POST
/zones/vod/push/{zoneid}/adinsertion/transcodeprofile/apply
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

Content-Typestring
Required

The media type of the request body

Options: application/json
No request body parameters defined
Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Path Parameters

zoneidinteger
Required

Zone ID

Example:
42

Body

application/json
datastring
Required

Raw application/json data

Responses

resultstring
Allowed values:successerror
combinedIdinteger

ID of the (possibly newly created) Combined Video Encoding Profile now linked to the zone.